      DOUBLE PRECISION FUNCTION DCABS1( Z )
*
*     .. Scalar Arguments ..
      COMPLEX*16                        Z
*     ..
*     .. Local Scalars ..
      COMPLEX*16                        ZZ
*     ..
*     .. Local Arrays ..
      DOUBLE PRECISION                  T( 2 )
*     ..
*     .. Intrinsic Functions ..
      INTRINSIC                         DABS
*     ..
*     .. Equivalences ..
      EQUIVALENCE                       ( ZZ, T( 1 ) )
*     ..
*     .. Executable Statements ..
*
      ZZ = Z
      DCABS1 = DABS( T( 1 ) ) + DABS( T( 2 ) )
      RETURN
      END
